jmadem

## Class launch_specific_decision

- java.lang.Object
- - DefaultInternalAction
  - - jmadem.launch_specific_decision

-     public class launch_specific_decision
      extends DefaultInternalAction

  Internal function for starting a MADeM decision with all the parameters being specified in the call (i.e. personal weights, utility weights, welfare and timeout).

  Use:
  ``

  jmadem.launch_specific_decision( | [AgentNames], |
  | [Allocations], | // Obtained through jmadem.construct_allocation
  | [UtilityFunctionNames], |
  | [ jmadem_personal_weight(AgentName,Weight) | Tail ], |
  | [ jmadem_utility_weight(UName,Weight) | Tail ], |
  | Welfare, |
  | Multimodality, |
  | Timeout, |
  | DecisionId) | // Output parameter

  Launching MADeM is not a blocking task. That is, this functions only starts the MADeM process and gives the decision identifier as a result.

  Once MADeM has been resolved, a belief of the type `+jmadem_result(DecisionId, WinnerAllocations)` will be added to the agent's belief base.

  It must be noticed that, if there are several winner allocations, this function will return all of them.

  Author:
    Francisco Grimaldo

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) java.util.logging.Logger` | `logger`
    `private static long` | `serialVersionUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `launch_specific_decision()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `execute(TransitionSystem ts, Unifier un, Term[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### logger

          java.util.logging.Logger logger

  - ### Constructor Detail

    - #### launch_specific_decision

          public launch_specific_decision()

  - ### Method Detail

    - #### execute

          public java.lang.Object execute(TransitionSystem ts,
                                 Unifier un,
                                 Term[] args)
                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`